--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_qp.c	Sun Jun 11 17:03:26 2017
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_qp.c	Sun Jun 11 17:03:26 2017
@@ -91,8 +91,6 @@
 	uint_t				qp_srq_en, i, j;
 	int				status, flag;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attr_p, *queuesz_p))
-
 	/*
 	 * Extract the necessary info from the hermon_qp_info_t structure
 	 */
@@ -272,7 +270,6 @@
 	}
 	qp = (hermon_qphdl_t)rsrc->hr_addr;
 	bzero(qp, sizeof (struct hermon_sw_qp_s));
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*qp))
 
 	qp->qp_alloc_flags = alloc_flags;
 
@@ -886,7 +883,6 @@
 
 	bzero(qp, sizeof (struct hermon_sw_qp_s));
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*qp))
 	qp->qp_alloc_flags = attr_p->qp_alloc_flags;
 
 	/*
@@ -1252,8 +1248,6 @@
 	int				status, flag;
 	uint_t				serv_type;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*attr_p, *queuesz_p))
-
 	/*
 	 * Extract the necessary info from the hermon_qp_info_t structure
 	 */
@@ -1418,7 +1412,6 @@
 	}
 	qp = (hermon_qphdl_t)rsrc->hr_addr;
 	bzero(qp, sizeof (struct hermon_sw_qp_s));
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*qp))
 	qp->qp_alloc_flags = attr_p->qp_alloc_flags;
 
 	/*
@@ -1990,7 +1983,6 @@
 	 *    important that we have no further references to that memory.
 	 */
 	mutex_exit(&qp->qp_lock);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*qp))
 
 	/*
 	 * Free the QP resources
@@ -2229,7 +2221,6 @@
 			ibt_pmr_desc_t *pmr;
 			uint64_t heart_beat;
 
-			_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*pmr))
 			pmr = &attr_p->qp_query_fexch.fq_uni_mem_desc;
 			pmr->pmd_iova = 0;
 			pmr->pmd_lkey = pmr->pmd_rkey =
@@ -2431,7 +2422,6 @@
 			mutex_exit(&state->hs_qpn_avl_lock);
 			return (DDI_FAILURE);
 		}
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*entry))
 
 		entry->qpn_indx	   = qpc->hr_indx;
 		entry->qpn_refcnt  = 0;
